# Manual do Usuário do &kde;

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

12-11-2008
0.01.01
kded4
8

# `kded4`

servidor do &kde; - dispara as atualizações da base de dados Sycoca quando for necessário.

## Sintaxe

    kded4 --help Opções genéricas Opções do Qt Opções do KDE --check

## Descrição

O `kded4` é responsável por criar o arquivo 'sycoca', i.e., a 'cache' binária de tipos de serviços, tipos MIME e serviços para um determinado usuário.

Ele monitora as pastas que contêm arquivos '.desktop'. Quando for adicionado/removido um arquivo, ele espera cerca de 5 segundos (para o caso de ser uma série de atualizações) e invoca depois o `kbuildsycoca`.

## Opções genéricas

`--author`

  Mostra informações sobre o autor.

`--help`

  Mostra a ajuda sobre as opções.

`--help-all`

  Mostra todas as opções.

`--help-kde`

  Mostra opções específicas do KDE.

`--help-qt`

  Mostra as opções específicas do Qt.

`--license`

  Mostra informações sobre a licença.

`-v` `--version`

  Mostra a versão.

## Opções da Aplicação

`--check`

  Verifica a base de dados do Sycoca apenas uma vez.

## Utilização

Se o `kded4` for invocado sem parâmetros e já estiver em execução, mostrará a mensagem:

    «KDE Daemon (kded) already running». (O Servidor do KDE (kded) já está em execução).

Se o `kded4` for invocado com o `kded4 --check`, ele então irá atualizar a base de dados do &kde; com o `kbuildsycoca`.

## Veja Também

opções-do-kde(7), opções-do-qt(7), kbuildsycoca(8)

## Problemas

Ainda existem provavelmente muitos erros. Use o bugs.kde.org para comunicá-los.